## caveexpress 2.4+git20160609

=== src/caveexpress/CMakeLists.txt ===
add_subdirectory(shared)
add_subdirectory(client)
add_subdirectory(server)
add_subdirectory(main)
if (UNITTESTS)
	add_subdirectory(tests)
endif()
if (TOOLS)
	add_subdirectory(tools)
endif()
