=== src/miniracer/CMakeLists.txt ===
add_subdirectory(shared)
add_subdirectory(client)
add_subdirectory(server)
add_subdirectory(main)
if (UNITTESTS)
	add_subdirectory(tests)
endif()
