=== debian/changelog ===
caveexpress (2.4+git20160609-4) unstable; urgency=medium

  * d/copyright: Use https for Format field.
  * Declare compliance with Debian Policy 4.1.2.
  * Install appdata files into /usr/share/metainfo.
  * Add valid-appdata.patch and create a valid appdata file.

 -- Markus Koschany <apo@debian.org>  Sun, 10 Dec 2017 20:57:51 +0100

caveexpress (2.4+git20160609-3) unstable; urgency=medium

  * Tighten dependency on -data packages.
  * Switch to compat level 10.
  * Add map-second-ice-04.patch and fix package spawn issue on ice 04 map.
    Thanks to Guillaume Allais for the report. (Closes: #847147)

 -- Markus Koschany <apo@debian.org>  Thu, 08 Dec 2016 22:13:23 +0100

caveexpress (2.4+git20160609-2) unstable; urgency=medium

  * cavepacker,caveexpress: Depend on the data packages.
    Thanks to Armin Haas for the report. (Closes: #829615, #829616)
  * Enable CMAKE_VERBOSE_MAKEFILE option.

 -- Markus Koschany <apo@debian.org>  Mon, 04 Jul 2016 20:12:21 +0200

caveexpress (2.4+git20160609-1) unstable; urgency=medium

  * Initial release (Closes: #775743)

 -- Markus Koschany <apo@debian.org>  Sun, 03 Jul 2016 22:09:26 +0200
