=== debian/control ===
Source: caveexpress
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libbox2d-dev,
 libglm-dev,
 libgtest-dev,
 liblua5.2-dev,
 libncurses5-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libsqlite3-dev,
 libtinyxml2-dev,
 libyajl-dev,
 lua5.2,
 pkg-config,
 zlib1g-dev
Standards-Version: 4.1.2
Homepage: http://www.caveproductions.org
Vcs-Git: https://anonscm.debian.org/git/pkg-games/caveexpress.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/caveexpress.git

Package: caveexpress
Architecture: any
Depends:
 caveexpress-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 2D platformer with physics-based gameplay
 CaveExpress is a classic 2D platformer with physics-based gameplay
 and dozens of levels. Master your pedal-powered flying machine to
 pick up packages from your cave-dwelling clients and drop them off
 at the collection point.
 .
 But beware! Mighty mastodons, terrifying pterodactyls and others
 would rather see you extinct.

Package: caveexpress-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 caveexpress
Description: 2D platformer with physics-based gameplay --data
 CaveExpress is a classic 2D platformer with physics-based gameplay
 and dozens of levels. Master your pedal-powered flying machine to
 pick up packages from your cave-dwelling clients and drop them off
 at the collection point.
 .
 This package contains the data files needed to play CaveExpress.

Package: cavepacker
Architecture: any
Depends:
 cavepacker-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: sokoban game with network based multiplayer gaming
 CavePacker is a sokoban game. It is a puzzle game where you have to move the
 packages onto their targets without getting stuck. The lesser steps you made
 for solving a level, the better. You may only push but not pull packages.

Package: cavepacker-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 cavepacker
Description: sokoban game with network based multiplayer gaming --data
 CavePacker is a sokoban game. It is a puzzle game where you have to move the
 packages onto their targets without getting stuck. The lesser steps you made
 for solving a level, the better. You may only push but not pull packages.
 .
 This package contains the data files needed to play CavePacker.
