=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CCACHE_DIR=$(CURDIR)/ccache

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DNETWORKING=ON \
		-DUNITTESTS=OFF \
		-DTOOLS=OFF \
		-DVERBOSE=ON \
		-DCOVERAGE=OFF \
		-DUSE_CCACHE=ON \
		-DCAVEEXPRESS=ON \
		-DCAVEPACKER=ON \
		-DMINIRACER=OFF \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DPKGDATADIR=/usr/share/games

override_dh_installchangelogs:
	dh_installchangelogs docs/caveexpress/CHANGELOG
