## caveexpress 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
 option(VERBOSE "Print debug information" OFF)
 option(COVERAGE "Compile with test coverage" OFF)
 option(USE_CCACHE "Use ccache" ON)
+# The build system will search for system libs, if it can't find them (e.g. via pkg-config)
+# it will take those that are bundled under src/libs. If you don't want that for some reason,
+# you can set this to ON and the libs dir will not be taken into account at all.
+option(FORCE_USE_SYSTEM_LIBS "Use system libs" OFF)
 option(CAVEEXPRESS "Build caveexpress" ON)
 option(CAVEPACKER "Build cavepacker" ON)
 option(MINIRACER "Build miniracer" OFF)
@@ -103,8 +107,15 @@
 # on mac it e.g. finds the gui launcher - this is not what we want - find a proper way to handle this
 if (NOT ${CMAKE_HOST_SYSTEM_NAME} STREQUAL "Darwin")
 	find_host_program(TEXTUREPACKER_BIN NAMES TexturePacker)
-	if (${TEXTUREPACKER_BIN})
-		message(STATUS "Found TexturePacker: ${TEXTUREPACKER_BIN}")
+	if (TEXTUREPACKER_BIN)
+		execute_process(COMMAND ${TEXTUREPACKER_BIN} --format CaveExpress ERROR_VARIABLE TEXTURE_PACKER_EXPORTER)
+		if (TEXTURE_PACKER_EXPORTER MATCHES "Unknown format")
+			message(STATUS "Found TexturePacker: ${TEXTUREPACKER_BIN}")
+			message(WARNING "but without the needed exporter. Find it in contrib/assets/png-packed/exporter. Check out the HOWTO.md in that directory.")
+			unset(TEXTUREPACKER_BIN)
+		else()
+			message(STATUS "Found TexturePacker: ${TEXTUREPACKER_BIN}")
+		endif()
 	else()
 		message(STATUS "Could not find TexturePacker")
 	endif()
@@ -135,9 +146,8 @@
 
 if (PKGDATADIR)
 	add_definitions(-DPKGDATADIR="${PKGDATADIR}")
-	message(STATUS "You specified a package data dir - but this means, you have to rebuild for each game.")
-	message(STATUS "If you don't do this, you get all the data of all the games in the same directory.")
-	message(STATUS "See the available options and disable all but one game for each build.")
+	message(STATUS "You specified a package data dir - the game will append the game name to this directory.")
+	message(STATUS "So you get e.g. ${PKGDATADIR}/caveexpress as final directory.")
 endif()
 
 if (NOT NETWORKING)
@@ -169,12 +179,23 @@
 
 include_directories(src)
 include_directories(src/modules)
-if (UNITTESTS)
-	include_directories(src/libs/gtest)
-	include_directories(src/libs/gtest/include)
-endif()
-
-add_subdirectory(src/libs)
+# Packagers might want to remove this
+if (EXISTS "${ROOT_DIR}/src/libs/" AND NOT FORCE_USE_SYSTEM_LIBS)
+	if (UNITTESTS)
+		include_directories(src/libs/gtest)
+		include_directories(src/libs/gtest/include)
+	endif()
+
+	add_subdirectory(src/libs)
+else()
+	include(FindPkgConfig)
+	PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2<=2.0.3)
+	PKG_SEARCH_MODULE(SDL2IMAGE REQUIRED SDL2_image>=2.0.0)
+	PKG_SEARCH_MODULE(LUA5.2 REQUIRED lua5.2)
+	PKG_SEARCH_MODULE(BOX2D REQUIRED box2d>=2.3.0)
+	PKG_SEARCH_MODULE(SQLITE3 REQUIRED sqlite3)
+	include_directories(${SDL2_INCLUDE_DIRS} ${SDL2IMAGE_INCLUDE_DIRS})
+endif()
 
 # TODO move into lib cmakefiles
 if (LUA5.2_FOUND)
