## caveexpress 2.5-dev2

=== debian/changelog ===
caveexpress (2.5-dev2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:06 +0100

caveexpress (2.5-dev2-1) unstable; urgency=medium

  * New upstream version 2.5-dev2.
  * Switch to debhelper-compat = 12.
  * Use canonical VCS URI.
  * Drop build.patch, desktop-file.patch, dataDir.patch,
    man-page-spelling.patch, use-system-Box2D.patch. Fixed upstream.

 -- Markus Koschany <apo@debian.org>  Sun, 17 Nov 2019 16:38:09 +0100
