=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libbox2d-dev,
  libglm-dev,
  libgtest-dev,
@@ -22,10 +22,10 @@
  lua5.2,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.4.1
 Homepage: http://www.caveproductions.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/caveexpress.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/caveexpress.git
+Vcs-Git: https://salsa.debian.org/games-team/caveexpress.git
+Vcs-Browser: https://salsa.debian.org/games-team/caveexpress
 
 Package: caveexpress
 Architecture: any
