## caveexpress 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.7)
+cmake_minimum_required(VERSION 3.7)
 project(caveproductions)
 
 #-------------------------------------------------------------------------------
@@ -18,7 +18,8 @@
 option(CAVEEXPRESS "Build caveexpress" ON)
 option(CAVEPACKER "Build cavepacker" ON)
 option(MINIRACER "Build miniracer" OFF)
-option(SANITIZER "Build with sanitizer support if available" ON)
+option(SANITIZER "Build with sanitizer support if available" OFF)
+option(ANDROID_INSTALL_PACKAGES "Install required android packages" ON)
 
 #-------------------------------------------------------------------------------
 # end options
@@ -33,6 +34,11 @@
 	set(RELEASE False)
 else()
 	set(RELEASE True)
+endif()
+
+if (BUILD_SHARED_LIBS)
+	message(STATUS "Forcing building the internal libraries as static, even though BUILD_SHARED_LIBS=ON was requested.")
+	set(BUILD_SHARED_LIBS OFF)
 endif()
 
 set(ROOT_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE STRING "Root dir")
@@ -96,6 +102,8 @@
 	set(LINUX 1)
 elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Emscripten")
 	set(EMSCRIPTEN 1)
+elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Haiku")
+	set(HAIKU 1)
 else()
 	message(WARNING "Unknown host system: ${CMAKE_SYSTEM_NAME}. Default to linux")
 	set(LINUX 1)
@@ -125,6 +133,8 @@
 		include(${CP_CMAKE_DIR}/toolchains/windows-toolchain.cmake)
 	elseif (DARWIN)
 		include(${CP_CMAKE_DIR}/toolchains/darwin-toolchain.cmake)
+	elseif (HAIKU)
+		include(${CP_CMAKE_DIR}/toolchains/haiku-toolchain.cmake)
 	else()
 		include(${CP_CMAKE_DIR}/toolchains/linux-toolchain.cmake)
 	endif()
@@ -142,6 +152,8 @@
 	include(${CP_CMAKE_DIR}/nacl.cmake)
 elseif (EMSCRIPTEN)
 	include(${CP_CMAKE_DIR}/emscripten.cmake)
+elseif (HAIKU)
+#	include(${CP_CMAKE_DIR}/haiku.cmake)
 endif()
 
 if (PKGDATADIR)
@@ -189,7 +201,7 @@
 	add_subdirectory(src/libs)
 else()
 	include(FindPkgConfig)
-	PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2<=2.0.3)
+	PKG_SEARCH_MODULE(SDL2 REQUIRED sdl2>=2.0.3)
 	PKG_SEARCH_MODULE(SDL2IMAGE REQUIRED SDL2_image>=2.0.0)
 	PKG_SEARCH_MODULE(LUA5.2 REQUIRED lua5.2)
 	PKG_SEARCH_MODULE(BOX2D REQUIRED box2d>=2.3.0)
