=== src/modules/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(network)
add_subdirectory(service)
add_subdirectory(game)
add_subdirectory(campaign)
add_subdirectory(sound)
add_subdirectory(textures)
add_subdirectory(sprites)
add_subdirectory(particles)
add_subdirectory(physics)
add_subdirectory(gfx)
add_subdirectory(ui)
add_subdirectory(mainloop)
add_subdirectory(client)
