=== debian/changelog ===
caveexpress (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1.
  * Drop all patches. Fixed upstream.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Mon, 18 May 2020 10:28:50 +0200
