=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libbox2d-dev,
  libglm-dev,
  libgtest-dev,
@@ -22,7 +22,7 @@
  lua5.2,
  pkg-config,
  zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.caveproductions.org
 Vcs-Git: https://salsa.debian.org/games-team/caveexpress.git
 Vcs-Browser: https://salsa.debian.org/games-team/caveexpress
