=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs docs/caveexpress/CHANGELOG
 
+override_dh_missing:
+	dh_missing --list-missing
